<?
/* QM Promisance - Turn-based strategy game
 * Copyright (C) 2001-2011 QMT Productions
 *
 * $URL: https://qmpromisance.svn.sourceforge.net/svnroot/qmpromisance/promisance/tags/release-4_5/lang/en-US/guide/misc/eras.php $
 * $Id: eras.php 1848 2011-04-02 00:12:46Z Quietust $
 */

if (!defined('IN_GUIDE'))
	die('Access denied');

guidepage($topic, 'eras', 'g_eras', 'Time Periods');
function g_eras ()
{
	global $era;
	global $eras;
?>
<h2>Time Periods</h2>
<p>Empires in this world exist in 3 different time periods. Interacting directly with an empire in another era requires an open Time Gate.</p>
<p>The offensive and defensive power of <?=guidelink('units', 'Military Units')?> varies with one's era. Additionally, empires in different eras receive the following bonuses and penalties:</p>
<dl>
    <dt>Industry</dt>
        <dd>Your ability to produce military units.</dd>
    <dt>Energy</dt>
        <dd>The rate at which your <?=lang($era->trpwiz)?> produce <?=lang($era->runes)?>.</dd>
    <dt>Exploration</dt>
        <dd>How much land you gain per turn spent <?=guidelink('land', 'exploring')?>.</dd>
</dl>
<table border="1">
<tr><th>Era</th>
    <th>Industry</th>
    <th>Energy</th>
    <th>Exploration</th></tr>
<?
	$attribs = array('industry', 'runepro', 'explore');
	foreach ($eras as $eid => $ename)
	{
		$_era = new prom_era($eid);
?>
<tr><th><?=$_era?></th>
<?
		foreach ($attribs as $attrib)
		{
			$attrib = 'mod_'. $attrib;
			$val = $_era->$attrib;
?>
    <td><?=colornum($val, percent(abs($val)), 'cgood', 'cbad', 'cneutral', '+', '-', '+')?></td>
<?
		}
?></tr>
<?
	}
?>
</table>
<?
}
?>
